extraEnvVars:
  - name: OPENID_PROVIDER_URL
    value: 'https://auth.cern.ch/auth/realms/cern/.well-known/openid-configuration'
  - name: ENABLE_OAUTH_SIGNUP
    value: 'true'
  - name: ENABLE_OAUTH_SIGNUP
    value: CERN
  - name: OAUTH_CLIENT_ID
    valueFrom:
      secretKeyRef:
        key: clientID
        name: oidc-client-secret
  - name: OAUTH_CLIENT_SECRET
    valueFrom:
      secretKeyRef:
        key: clientSecret
        name: oidc-client-secret
  - name: GLOBAL_LOG_LEVEL
    value: debug
  - name: DATABASE_URL
    valueFrom:
      secretKeyRef:
        key: dbfullstring
        name: db-secret
  - name: ENABLE_LOGIN_FORM
    value: 'false'
  - name: DEFAULT_USER_ROLE
    value: user
image:
  repository: gitlab-registry.cern.ch/apimpo/open-webui/myimage
  tag: latest-x86_64
ingress:
  annotations:
    haproxy.router.openshift.io/ip_whitelist: ''
    route.openshift.io/termination: edge
  enabled: true
  host: test-open-web-ui.app.cern.ch
  tls: false
ollama:
  enabled: false
openaiBaseApiUrl: ''
persistence:
  enabled: false
pipelines:
  enabled: false
replicaCount: 3

